%define firetools /usr/lib/firetools

Summary: Firejail graphical user interface
Name: firetools
Version: 0.9.46
Release: %mkrel 1
License: GPL+
Group: File tools
Source: %{name}-%{version}.tar.xz
URL: http://firejail.sourceforege.net
Requires: firejail
Requires: libqt5svg5
BuildRequires: libqt5core-devel
BuildRequires: libqt5svg-devel

%description
Firetools is the graphical user interface of Firejail.
Firejail is a SUID sandbox program that reduces the risk of security breaches
by restricting the running environment of untrusted applications using Linux
namespaces, seccomp-bpf and Linux capabilities. It allows a process and all
its descendants to have their  own  private view of the globally  shared  kernel
resources, such as the network stack, process table, mount table.  Firejail can
work in a SELinux or AppArmor environment, and it is integrated with Linux
Control Groups.

%prep
%setup -q


%build
%configure2_5x --with-qmake=/usr/lib/qt5/bin/qmake
%make


%install
rm -rf $RPM_BUILD_ROOT
%make_install
rm -rf $RPM_BUILD_ROOT/%{_docdir}/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
  

%files
%defattr(-,root,root,-)
%doc COPYING README RELNOTES
%{_bindir}/*
%{_mandir}/*
%{_datadir}/applications/firetools.desktop
%{_datadir}/applications/firejail-ui.desktop
%{_datadir}/pixmaps/firetools.png
%{_datadir}/pixmaps/firejail-ui.png
%firetools


%changelog
* Sun Sep 03 2017 adrianomorselli <adrianomorselli> 0.9.46-1uplos2017
- update
